Checks if a field exists

- « SolrDocument::hasChildDocuments

- SolrDocument::key »

- PHP Manual
- SolrDocument
- Checks if a field exists

# SolrDocument::__isset

(PECL solr >= 0.9.2)

SolrDocument::__isset — Checks if a field exists

### Description

public SolrDocument::__isset(string `$fieldName`): bool

Checks if a field exists

### Parameters

`fieldName`

  Name of the field.

### Return Values

Returns `true` on success or `false` on failure.